Time (Tomcat API Documentation)
Keywords: org.apache.tomcat.jni.Time class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tomcat.jni
Class Time

    java.lang.Object
      org.apache.tomcat.jni.Time

    public class Time

extends java.lang.Object

Time

Version:
  $Revision: 467222 $, $Date: 2006-10-24 05:17:11 +0200 (Tue, 24 Oct 2006) $
Author:
  Mladen Turk

Field Summary
`static long` | `APR_MSEC_PER_USEC` number of miliseconds per microsecond
`static long` | `APR_USEC_PER_SEC` number of microseconds per second

Constructor Summary
`Time()`

Method Summary
`static java.lang.String` | `ctime(long t)` Formats dates in the ctime() format in an efficient manner.
`static long` | `msec(long t)`
`static long` | `now()` number of microseconds since 00:00:00 january 1, 1970 UTC
`static java.lang.String` | `rfc822(long t)` Formats dates in the RFC822 format in an efficient manner.
`static long` | `sec(long t)`
`static void` | `sleep(long t)` Sleep for the specified number of micro-seconds.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### APR_USEC_PER_SEC

    public static final long APR_USEC_PER_SEC

  number of microseconds per second

  See Also:
    Constant Field Values

### APR_MSEC_PER_USEC

    public static final long APR_MSEC_PER_USEC

  number of miliseconds per microsecond

  See Also:
    Constant Field Values

Constructor Detail

### Time

    public Time()

Method Detail

### sec

    public static long sec(long t)

  Returns:
    apr_time_t as a second

### msec

    public static long msec(long t)

  Returns:
    apr_time_t as a msec

### now

    public static long now()

  number of microseconds since 00:00:00 january 1, 1970 UTC

  Returns:
    the current time

### rfc822

    public static java.lang.String rfc822(long t)

  Formats dates in the RFC822 format in an efficient manner.

  Parameters:
    `t` - the time to convert

### ctime

    public static java.lang.String ctime(long t)

  Formats dates in the ctime() format in an efficient manner. Unlike ANSI/ISO C ctime(), apr_ctime() does not include a \n at the end of the string.

  Parameters:
    `t` - the time to convert

### sleep

    public static void sleep(long t)

  Sleep for the specified number of micro-seconds.
  Warning : May sleep for longer than the specified time.

  Parameters:
    `t` - desired amount of time to sleep.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2008 Apache Software Foundation. All Rights Reserved.